javax.faces.component.html

## Enum HtmlPanelGrid.PropertyKeys

- java.lang.Object
- - java.lang.Enum<HtmlPanelGrid.PropertyKeys>
  - - javax.faces.component.html.HtmlPanelGrid.PropertyKeys

- All Implemented Interfaces:
    Serializable, Comparable<HtmlPanelGrid.PropertyKeys>
  Enclosing class:
    HtmlPanelGrid

      protected static enum HtmlPanelGrid.PropertyKeys
      extends Enum<HtmlPanelGrid.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `bgcolor`
    `bodyrows`
    `border`
    `captionClass`
    `captionStyle`
    `cellpadding`
    `cellspacing`
    `columnClasses`
    `columns`
    `dir`
    `footerClass`
    `frame`
    `headerClass`
    `lang`
    `onclick`
    `ondblclick`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `role`
    `rowClasses`
    `rules`
    `style`
    `styleClass`
    `summary`
    `title`
    `width`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static HtmlPanelGrid.PropertyKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HtmlPanelGrid.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### bgcolor

          public static final HtmlPanelGrid.PropertyKeys bgcolor

    - #### bodyrows

          public static final HtmlPanelGrid.PropertyKeys bodyrows

    - #### border

          public static final HtmlPanelGrid.PropertyKeys border

    - #### captionClass

          public static final HtmlPanelGrid.PropertyKeys captionClass

    - #### captionStyle

          public static final HtmlPanelGrid.PropertyKeys captionStyle

    - #### cellpadding

          public static final HtmlPanelGrid.PropertyKeys cellpadding

    - #### cellspacing

          public static final HtmlPanelGrid.PropertyKeys cellspacing

    - #### columnClasses

          public static final HtmlPanelGrid.PropertyKeys columnClasses

    - #### columns

          public static final HtmlPanelGrid.PropertyKeys columns

    - #### dir

          public static final HtmlPanelGrid.PropertyKeys dir

    - #### footerClass

          public static final HtmlPanelGrid.PropertyKeys footerClass

    - #### frame

          public static final HtmlPanelGrid.PropertyKeys frame

    - #### headerClass

          public static final HtmlPanelGrid.PropertyKeys headerClass

    - #### lang

          public static final HtmlPanelGrid.PropertyKeys lang

    - #### onclick

          public static final HtmlPanelGrid.PropertyKeys onclick

    - #### ondblclick

          public static final HtmlPanelGrid.PropertyKeys ondblclick

    - #### onkeydown

          public static final HtmlPanelGrid.PropertyKeys onkeydown

    - #### onkeypress

          public static final HtmlPanelGrid.PropertyKeys onkeypress

    - #### onkeyup

          public static final HtmlPanelGrid.PropertyKeys onkeyup

    - #### onmousedown

          public static final HtmlPanelGrid.PropertyKeys onmousedown

    - #### onmousemove

          public static final HtmlPanelGrid.PropertyKeys onmousemove

    - #### onmouseout

          public static final HtmlPanelGrid.PropertyKeys onmouseout

    - #### onmouseover

          public static final HtmlPanelGrid.PropertyKeys onmouseover

    - #### onmouseup

          public static final HtmlPanelGrid.PropertyKeys onmouseup

    - #### role

          public static final HtmlPanelGrid.PropertyKeys role

    - #### rowClasses

          public static final HtmlPanelGrid.PropertyKeys rowClasses

    - #### rules

          public static final HtmlPanelGrid.PropertyKeys rules

    - #### style

          public static final HtmlPanelGrid.PropertyKeys style

    - #### styleClass

          public static final HtmlPanelGrid.PropertyKeys styleClass

    - #### summary

          public static final HtmlPanelGrid.PropertyKeys summary

    - #### title

          public static final HtmlPanelGrid.PropertyKeys title

    - #### width

          public static final HtmlPanelGrid.PropertyKeys width

  - ### Method Detail

    - #### values

          public static HtmlPanelGrid.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HtmlPanelGrid.PropertyKeys c : HtmlPanelGrid.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HtmlPanelGrid.PropertyKeys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<HtmlPanelGrid.PropertyKeys>`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.